Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
64:ff9b::64:8600/120
First address
64:ff9b::64:8600
Last address
64:ff9b::64:86ff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
0064:ff9b:0000:0000:0000:0000:0064:8600
Type
NAT64 64:ff9b::/96
IPv4 addresses reached through a NAT64 gateway
Reverse DNS zone
6.8.4.6.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.b.9.f.f.4.6.0.0.ip6.arpa
Split into smaller subnets/127

64:ff9b::64:8600/120 makes 128 subnets of /127.

Subnets
#SubnetLast address
164:ff9b::64:8600/12764:ff9b::64:8601
264:ff9b::64:8602/12764:ff9b::64:8603
364:ff9b::64:8604/12764:ff9b::64:8605
464:ff9b::64:8606/12764:ff9b::64:8607
564:ff9b::64:8608/12764:ff9b::64:8609
664:ff9b::64:860a/12764:ff9b::64:860b
764:ff9b::64:860c/12764:ff9b::64:860d
864:ff9b::64:860e/12764:ff9b::64:860f
964:ff9b::64:8610/12764:ff9b::64:8611
1064:ff9b::64:8612/12764:ff9b::64:8613
1164:ff9b::64:8614/12764:ff9b::64:8615
1264:ff9b::64:8616/12764:ff9b::64:8617
1364:ff9b::64:8618/12764:ff9b::64:8619
1464:ff9b::64:861a/12764:ff9b::64:861b
1564:ff9b::64:861c/12764:ff9b::64:861d
1664:ff9b::64:861e/12764:ff9b::64:861f
1764:ff9b::64:8620/12764:ff9b::64:8621
1864:ff9b::64:8622/12764:ff9b::64:8623
1964:ff9b::64:8624/12764:ff9b::64:8625
2064:ff9b::64:8626/12764:ff9b::64:8627
2164:ff9b::64:8628/12764:ff9b::64:8629
2264:ff9b::64:862a/12764:ff9b::64:862b
2364:ff9b::64:862c/12764:ff9b::64:862d
2464:ff9b::64:862e/12764:ff9b::64:862f
2564:ff9b::64:8630/12764:ff9b::64:8631
2664:ff9b::64:8632/12764:ff9b::64:8633
2764:ff9b::64:8634/12764:ff9b::64:8635
2864:ff9b::64:8636/12764:ff9b::64:8637
2964:ff9b::64:8638/12764:ff9b::64:8639
3064:ff9b::64:863a/12764:ff9b::64:863b
3164:ff9b::64:863c/12764:ff9b::64:863d
3264:ff9b::64:863e/12764:ff9b::64:863f
3364:ff9b::64:8640/12764:ff9b::64:8641
3464:ff9b::64:8642/12764:ff9b::64:8643
3564:ff9b::64:8644/12764:ff9b::64:8645
3664:ff9b::64:8646/12764:ff9b::64:8647
3764:ff9b::64:8648/12764:ff9b::64:8649
3864:ff9b::64:864a/12764:ff9b::64:864b
3964:ff9b::64:864c/12764:ff9b::64:864d
4064:ff9b::64:864e/12764:ff9b::64:864f
4164:ff9b::64:8650/12764:ff9b::64:8651
4264:ff9b::64:8652/12764:ff9b::64:8653
4364:ff9b::64:8654/12764:ff9b::64:8655
4464:ff9b::64:8656/12764:ff9b::64:8657
4564:ff9b::64:8658/12764:ff9b::64:8659
4664:ff9b::64:865a/12764:ff9b::64:865b
4764:ff9b::64:865c/12764:ff9b::64:865d
4864:ff9b::64:865e/12764:ff9b::64:865f
4964:ff9b::64:8660/12764:ff9b::64:8661
5064:ff9b::64:8662/12764:ff9b::64:8663
5164:ff9b::64:8664/12764:ff9b::64:8665
5264:ff9b::64:8666/12764:ff9b::64:8667
5364:ff9b::64:8668/12764:ff9b::64:8669
5464:ff9b::64:866a/12764:ff9b::64:866b
5564:ff9b::64:866c/12764:ff9b::64:866d
5664:ff9b::64:866e/12764:ff9b::64:866f
5764:ff9b::64:8670/12764:ff9b::64:8671
5864:ff9b::64:8672/12764:ff9b::64:8673
5964:ff9b::64:8674/12764:ff9b::64:8675
6064:ff9b::64:8676/12764:ff9b::64:8677
6164:ff9b::64:8678/12764:ff9b::64:8679
6264:ff9b::64:867a/12764:ff9b::64:867b
6364:ff9b::64:867c/12764:ff9b::64:867d
6464:ff9b::64:867e/12764:ff9b::64:867f
6564:ff9b::64:8680/12764:ff9b::64:8681
6664:ff9b::64:8682/12764:ff9b::64:8683
6764:ff9b::64:8684/12764:ff9b::64:8685
6864:ff9b::64:8686/12764:ff9b::64:8687
6964:ff9b::64:8688/12764:ff9b::64:8689
7064:ff9b::64:868a/12764:ff9b::64:868b
7164:ff9b::64:868c/12764:ff9b::64:868d
7264:ff9b::64:868e/12764:ff9b::64:868f
7364:ff9b::64:8690/12764:ff9b::64:8691
7464:ff9b::64:8692/12764:ff9b::64:8693
7564:ff9b::64:8694/12764:ff9b::64:8695
7664:ff9b::64:8696/12764:ff9b::64:8697
7764:ff9b::64:8698/12764:ff9b::64:8699
7864:ff9b::64:869a/12764:ff9b::64:869b
7964:ff9b::64:869c/12764:ff9b::64:869d
8064:ff9b::64:869e/12764:ff9b::64:869f
8164:ff9b::64:86a0/12764:ff9b::64:86a1
8264:ff9b::64:86a2/12764:ff9b::64:86a3
8364:ff9b::64:86a4/12764:ff9b::64:86a5
8464:ff9b::64:86a6/12764:ff9b::64:86a7
8564:ff9b::64:86a8/12764:ff9b::64:86a9
8664:ff9b::64:86aa/12764:ff9b::64:86ab
8764:ff9b::64:86ac/12764:ff9b::64:86ad
8864:ff9b::64:86ae/12764:ff9b::64:86af
8964:ff9b::64:86b0/12764:ff9b::64:86b1
9064:ff9b::64:86b2/12764:ff9b::64:86b3
9164:ff9b::64:86b4/12764:ff9b::64:86b5
9264:ff9b::64:86b6/12764:ff9b::64:86b7
9364:ff9b::64:86b8/12764:ff9b::64:86b9
9464:ff9b::64:86ba/12764:ff9b::64:86bb
9564:ff9b::64:86bc/12764:ff9b::64:86bd
9664:ff9b::64:86be/12764:ff9b::64:86bf
9764:ff9b::64:86c0/12764:ff9b::64:86c1
9864:ff9b::64:86c2/12764:ff9b::64:86c3
9964:ff9b::64:86c4/12764:ff9b::64:86c5
10064:ff9b::64:86c6/12764:ff9b::64:86c7
10164:ff9b::64:86c8/12764:ff9b::64:86c9
10264:ff9b::64:86ca/12764:ff9b::64:86cb
10364:ff9b::64:86cc/12764:ff9b::64:86cd
10464:ff9b::64:86ce/12764:ff9b::64:86cf
10564:ff9b::64:86d0/12764:ff9b::64:86d1
10664:ff9b::64:86d2/12764:ff9b::64:86d3
10764:ff9b::64:86d4/12764:ff9b::64:86d5
10864:ff9b::64:86d6/12764:ff9b::64:86d7
10964:ff9b::64:86d8/12764:ff9b::64:86d9
11064:ff9b::64:86da/12764:ff9b::64:86db
11164:ff9b::64:86dc/12764:ff9b::64:86dd
11264:ff9b::64:86de/12764:ff9b::64:86df
11364:ff9b::64:86e0/12764:ff9b::64:86e1
11464:ff9b::64:86e2/12764:ff9b::64:86e3
11564:ff9b::64:86e4/12764:ff9b::64:86e5
11664:ff9b::64:86e6/12764:ff9b::64:86e7
11764:ff9b::64:86e8/12764:ff9b::64:86e9
11864:ff9b::64:86ea/12764:ff9b::64:86eb
11964:ff9b::64:86ec/12764:ff9b::64:86ed
12064:ff9b::64:86ee/12764:ff9b::64:86ef
12164:ff9b::64:86f0/12764:ff9b::64:86f1
12264:ff9b::64:86f2/12764:ff9b::64:86f3
12364:ff9b::64:86f4/12764:ff9b::64:86f5
12464:ff9b::64:86f6/12764:ff9b::64:86f7
12564:ff9b::64:86f8/12764:ff9b::64:86f9
12664:ff9b::64:86fa/12764:ff9b::64:86fb
12764:ff9b::64:86fc/12764:ff9b::64:86fd
12864:ff9b::64:86fe/12764:ff9b::64:86ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses